Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#50232 - [firefox] Should depend on mesa

Attached to Project: Arch Linux
Opened by WorMzy Tykashi (WorMzy) - Tuesday, 02 August 2016, 18:11 GMT
Last edited by Doug Newgard (Scimmia) - Tuesday, 02 August 2016, 23:32 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
It seems firefox needs libwayland-egl.so.1 to run:
https://bbs.archlinux.org/viewtopic.php?pid=1645086#p1645086

Mesa (provides libwayland-egl.so.1) seems to be an indirect dependency of Firefox, but, depending on which graphics driver you are using, it is possible to have a situation where mesa is not installed after installing firefox. Due to libmozgtk.so needing libwayland-egl.so.1, and firefox being unable to run without it, mesa should probably be a direct dependency of firefox.

Additional info:
Fx 47 mentioned in the forum thread, but probably affects Fx 48 too.


Steps to reproduce:
Create a clean chroot, chroot/nspawn in and run 'pacman -S nvidia-libgl firefox'. Check the output, and note that mesa is not pulled in as a dependency.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Tuesday, 02 August 2016, 23:32 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#50221 
Comment by Doug Newgard (Scimmia) - Tuesday, 02 August 2016, 23:32 GMT
Nothing in the firefox package is linked to libwayland-egl.so. I'm guessing this is related to gtk3.

Loading...